$main-color: rgb(102, 169, 0);
/*$main-color: #66a900;*/
$font-family-primary: 'PT Serif', serif;
$font-family-secondary: 'Poppins', sans-serif;

$small-width: 768px;
$medium-width: 1024px;

@mixin extra-small {
  @media (max-width: #{$small-width - 1px}) {
    @content;
  }
}

@mixin small {
  @media (min-width: #{$small-width}) and (max-width: #{$medium-width - 1px}) {
    @content;
  }
}

body, html {
	margin:0;
	padding: 0;
}

body {
	font-size: 16px;
	color:#aeaeae;
	line-height: 30px;
	font-family: $font-family-primary;
	overflow-x: hidden;
}

a {
	transition: all 0.5s ease-in-out;
	outline: 0;

	&:hover, &:active, &:focus {
		outline: 0;
	}
}

 /* *************** NAVBAR ***************/
.navbar-default {
	background: none;
	border: none;
	font-size: 14px;
	transition: all 300ms ease-in-out;

	&.shrink {
		background: rgba(255,255,255,1);
		font-size: 14px;
		max-height: 50px;
		border-bottom: 1px solid #ccc;

		a.navbar-brand {
			padding-top: 0px;
			height:50px;
			overflow: hidden;
			background: $main-color;

			& img {
				transform: scale(0.6);
				margin-top: -10px;
			}
		}

		.navbar-nav > li > a {
			color:$main-color;
			padding-top: 15px;
			padding-bottom: 12px;
			transition: all 100ms ease;

			&:hover, &:active, &:focus {
				color:$main-color;
				border-bottom: 3px solid $main-color;
			}
		}

		.navbar-nav > .active > a, .navbar-nav > .active > a:focus, .navbar-nav > .active > a:hover {
			background-color: #fff;
			color:$main-color;
			border-bottom: 3px solid $main-color;
		}
	}

	.navbar-nav > .active > a, .navbar-nav > .active > a:focus, .navbar-nav > .active > a:hover {
		background-color: transparent;
		color: #fff;
	}

	a.navbar-brand {
		transition: all 0.5s ease-in-out;
		height:70px;
		padding-top: 30px;
		
		img {
			max-height:70px;
			transition: all 0.5s ease-in-out;
		}
	}

	.navbar-nav > li > a {
		color:#fff;
		padding-top: 60px;

		&:hover, &:active, &:focus {
			color:#fff;
		}
	}
}




#welcome {
	background: url("../img/yoga_01.jpg") no-repeat center center;
	background-size: cover;
	height:100vh;
	color:#fff;
	display: flex;
	align-items: center;

	h1 {
		font-family: $font-family-secondary;
		text-transform: uppercase;
		font-weight: 700;
		font-size: 50px;
		text-shadow: 0px 2px 16px rgba(0, 0, 0, 0.29);
		margin-bottom: 20px;
	}
}



#about {
	background: url("../img/top_shape.jpg") no-repeat top center;
	background-size: contain;
	padding-top: 140px;

	.lady_02 {
		background: url("../img/middle_shape.jpg") no-repeat bottom center;
		padding-bottom:200px;
		background-size: contain;
	}
}

.get_registration {
	background: $main-color;
	color: #fff;
	padding-bottom:30px;

	h2 {
		font-family: $font-family-primary;
		color: #fff !important;
		margin-bottom: 20px;
		font-size: 30px;
	}

	p {
		font-family: $font-family-secondary;
		font-weight: 300;
		font-size: 14px;
	}

	.btn-registration {
		box-shadow: 2px 0 32px rgba(0, 0, 0, 0.03);
		background:#fff;
		color:$main-color;
		border-radius: 2px;
		font-weight: bold;
		padding: 15px 25px;
		display: inline-block;
	}
}


.section h2 {
	font-family: $font-family-secondary;
	color:#333;
	font-size: 30px;
	font-weight: 700;
	margin-bottom: 45px;

	span.green {
		color:$main-color;
		animation-name: fadeInLeft;
	    animation-duration: 1s;
	    display: inline-block;
	}

	span.number {
		font-family: $font-family-primary;
		font-size: 64px;
		color:#e1e1e1;
	}
}



ol.greenpoints {
	font-family: $font-family-secondary;
	font-weight: bold;	
    padding: 0;
    margin:0 0 0 60px;
    list-style: none;
    counter-reset: numList;

    li {
	    margin: 20px auto;
	    float: left;
	    position: relative;

	    &:before {
			font-family: $font-family-primary;
			counter-increment: numList;
		    content: counter(numList); 
		    float: left;
		    position: absolute;
		    top:-10px;
		    left: -55px;
		    text-align: center;
		    color: #fff;
		    line-height: 30px;
		    width: 40px; 
		    height: 40px;
		    background: $main-color;
		    border:4px solid #fff;
		    border-radius: 50%;
		    box-shadow: 0 0 0 2px #66a900;
		    animation-name: fadeInLeft;
		    animation-duration: 1s;
		}
	}

}


.vertical_bottom {
	display: flex;
	align-items: flex-end;

	@include extra-small {
		display: block;

		img {
			display: none;
		}
	}

	@include small {
		display: block;

		img {
			display: none;
		}
	}
}

#features {
	padding-top:40px;

	.featureList {
		h3 {
			font-family: $font-family-secondary;
			font-weight: bold;	
			font-size: 18px;
			color:#333333;
			margin-top: 30px;
		}
		p {
			font-size:14px;
			line-height: 24px;
			color: #b3b3b3;
		}
	}

}


.listBlock {
	position: relative;
	left:30px;

	&:before {
		font-family: FontAwesome;
		font-style: normal;
	    font-weight: normal;
	    text-decoration: inherit;
	    font-size: 18px;
		content:  "\f058";
		color:$main-color;
	    padding-right: 20px;
	    position: absolute;
	    top: -7px;
	    left: -30px;
	}
}


blockquote {
	font-size: 14px;
	font-style: italic;
	border-left: none;
	margin-left:20px;
	position: relative;
	color:#b8b8b8;

	&:before {
		content: ("\00201C");
		font-size:64px;
		font-style: normal;
		font-weight: bold;
		position: absolute;
		left:-20px;
		top:20px;
		color:#f3f3f3;
	}

	.small::before, footer::before, small::before {
	    content: none;
	}

	footer {
		p.author {
			font-style: normal;
			font-family: $font-family-secondary;
			font-weight: bold;
			font-size: 16px;
			margin-top:20px;
			color:#333333;
		}

		p.author_info {
			font-style: normal;
			font-size: 14px;
			color:#aeaeae;
		}

	}
}

.slickButtons {
    top:180px;
    background: #333333;
    border:5px solid #333333;
    border-radius: 50%;
    line-height: 20px;
    text-align: center;
    font-size: 10px;
    color: #fff;
    width: 30px;
    height: 30px;
    transition: all 0.3s ease 0s;

    &:active, &:focus {
    	color:#fff;
    }

    &:hover {
	    color: #fff;
		background: $main-color;
    	border-color: #bbd196;
    }  
}

.myPrev {
	@extend .slickButtons;
    position: absolute;
    left:145px;
}

.myNext{
	@extend .slickButtons;
    position: absolute;
    right:145px;
}



#pricing {

	.pricing_table {
		background: url("../img/bottom_shape.png") center bottom no-repeat;
		background-size: contain;
		padding-top: 140px;
		padding-bottom: 20px;


		.plan_table {
			background: url('../img/pricing_bg.png') no-repeat #fff;
			margin: 50px 0px;
			box-shadow: 0px 12px 38px 0px rgba(0,0,0,0.11);
			padding-bottom: 100px;

			&.first {
				background-position: left bottom;
			}

			&.second {
				background-position: center bottom;
			}

			&.third {
				background-position: right bottom;
			}

			.first_section {
				text-align:center;

				.price {
					font-family: $font-family-secondary;
					font-size:40px;
					font-weight:bold;
					color:#333333;
					padding-top:50px;
				}

				.plan_for {
					color: #c0c0c0;
					font-size:14px;
					margin-top:10px;
				}	
			}

			.plan_type {
				background: #f6f6f6;
				text-transform: uppercase;
				color: #aaaaaa;
				font-family: $font-family-secondary;
				font-size:14px;
				text-align: center;
				padding:5px 0px;
				border-left: 2px solid $main-color;
				border-right: 2px solid $main-color;
				transition: all 0.5s ease-in-out;
				margin-top: 20px;



				p {
					margin: 0px;
				}
			}

			.plan_desc {
				p {
					font-size:14px;
					text-align: center;
					padding:10px;	
				}
			}

			.order a {
				font-family: $font-family-secondary;
				font-size:14px;
				color:#333;
				font-weight: bold;
				text-transform: uppercase;
				text-align: center;
				display: block;

				i {
					font-weight: normal;
					font-size:10px;
					margin-left:5px;
					display: inline-block;
				}
			}

			&:hover, &.active {
				.plan_type {
					background: $main-color;
					color:#fff;
				}

				.order a {
					color: $main-color;
					text-decoration: underline;
				}
			}

		}		
	}
}

footer.section {
	padding-top:100px;
	padding-bottom:50px;
	font-size:14px;
	color:#9e9e9e;

	img {
		display: inline-block;
		vertical-align: middle;
		margin-right:15px;
	}

	p.copy {
		display: inline-block;
	}

	ul.footerLinks {
		list-style-type: none;
		float: right;

		li {
			display: inline-block;
		}

		li:not(:last-child) {
			margin-right:20px;
		}

		li a {
			color:#9e9e9e;
		}
	}

}



@include extra-small {
	.noImg {
		display: none;
	}	
}